Summary:    Python library to use the pseudo-tty of a docker container
Name:       python-dockerpty    
Version:    0.4.1
Release:    4%{?dist}
License:    ASL 2.0
URL:        https://github.com/d11wtq/dockerpty
Source0:    https://github.com/d11wtq/dockerpty/archive/v%{version}/dockerpty-%{version}.tar.gz

BuildArch:      noarch

%description
Provides the functionality needed to operate the pseudo-tty (PTY) allocated 
to a docker container, using the Python client

%package -n     python3-dockerpty
Summary:        Python library to use the pseudo-tty of a docker container
BuildRequires:  python3-devel python3-setuptools
Requires:       python3-six

%description -n python3-dockerpty 
Provides the functionality needed to operate the pseudo-tty (PTY) allocated
to a docker container, using the Python client

%prep
%autosetup -n dockerpty-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-dockerpty
%license LICENSE.txt
%doc README.md MANIFEST.in
%{python3_sitelib}/dockerpty
%{python3_sitelib}/dockerpty-%{version}-py%{python3_version}.egg-info

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 12 2023 cunshunxia <cunshunxia@tencent.com> - 0.4.1-1
- initial build
